import * as $dara from '@darabonba/typescript';
import { RebootMachineResponseBody } from "./RebootMachineResponseBody";
export declare class RebootMachineResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: RebootMachineResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
